Get your roadmap persona
curl --request GET \
--url https://api.plazza.ca/v1/roadmapPersonas/me \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.plazza.ca/v1/roadmapPersonas/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.plazza.ca/v1/roadmapPersonas/me"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"name": "roadmapPersonas/0192f6a4-6c1e-7a0b-9c3d-4e5f60718293",
"displayName": "Camille Tremblay",
"createTime": "2026-11-04T14:32:08.512Z",
"updateTime": "2026-11-04T14:32:08.512Z"
}{
"error": {
"code": 401,
"message": "Unauthorized",
"status": "UNAUTHENTICATED",
"details": [
{
"@type": "type.googleapis.com/google.rpc.ErrorInfo",
"reason": "MISSING_CREDENTIALS",
"domain": "api.plazza.ca"
},
{
"@type": "type.googleapis.com/google.rpc.LocalizedMessage",
"locale": "en",
"message": "Sign in to continue."
}
]
}
}Roadmap
Get your roadmap persona
The name shown with what you post. Not found until your first post or comment.
GET
/
v1
/
roadmapPersonas
/
me
Get your roadmap persona
curl --request GET \
--url https://api.plazza.ca/v1/roadmapPersonas/me \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.plazza.ca/v1/roadmapPersonas/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.plazza.ca/v1/roadmapPersonas/me"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"name": "roadmapPersonas/0192f6a4-6c1e-7a0b-9c3d-4e5f60718293",
"displayName": "Camille Tremblay",
"createTime": "2026-11-04T14:32:08.512Z",
"updateTime": "2026-11-04T14:32:08.512Z"
}{
"error": {
"code": 401,
"message": "Unauthorized",
"status": "UNAUTHENTICATED",
"details": [
{
"@type": "type.googleapis.com/google.rpc.ErrorInfo",
"reason": "MISSING_CREDENTIALS",
"domain": "api.plazza.ca"
},
{
"@type": "type.googleapis.com/google.rpc.LocalizedMessage",
"locale": "en",
"message": "Sign in to continue."
}
]
}
}Authorizations
Response
How you appear on the roadmap.
How you appear on the roadmap.